<?php
include '../config/conexion.php';

// Consulta corregida para ordenar correctamente
$sql = "SELECT * FROM accounts 
        ORDER BY usada = '', id DESC";

$result = $conexion->query($sql);

$accounts = [];

if ($result->num_rows > 0) {
    while($row = $result->fetch_assoc()) {
        $accounts[] = $row;
    }
}

// Enviar resultado como JSON
echo json_encode($accounts);

$conexion->close();
?>
